from usermsg import saytext2
from es import AddonInfo, ServerVar, getplayerhandle, getindexfromhandle

info = AddonInfo()
info['name'] = 'RedChat'
info['basename'] = 'redchat'
info['version'] = '0.2'
info['author'] = 'MiB'
info['url'] = 'http://addons.eventscripts.com/addons/view/redchat'
info['description'] = 'The world\'s best ES deadchat.'

ServerVar('redchat_version', info['version'],'RedChat\'s version').makepublic()

players = {}

teamonly = (('', '#un,#alive'), ('\x01(Spectator) ', '#spec,#alive'), ('\x01(Terrorist) ', '#t,#alive'), ('\x01(Counter-Terrorist) ', '#ct,#alive'))

def es_player_chat(ev):
    target = ('', '#alive')
    if int(ev['teamonly']):
        target = teamonly[int(ev['es_userteam'])]
    players[ev['userid']] = target

def player_chat(ev):
    player_say(ev)

def player_say(ev):
    userid = ev['userid']
    if not userid in players:
        return
    if not int(ev['es_userdead']):
        return
    tag, target = players[userid]
    saytext2(target, getindexfromhandle(getplayerhandle(userid)), tag + '\x01*DEAD* \x03' + ev['es_username'] + ' \x01:  ' + ev['text'])
